echo off
cls
%1:
cd \tvgautil
echo.
echo TVGA Driver/Utility Disk, Version C4.31S
echo.
echo.
echo Type '1', if you have a mouse installed and you want to
echo           use the graphics mode interface.
echo.
echo Type '2', if you don't have a mouse and you want to
echo           use the text mode interface.
echo.
echo Press ESC to quit.
:ins1
KEYIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO graf
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO text
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO EXIT
goto ins1
:graf
tvga_ins
goto exit
:text
chk89
IF ERRORLEVEL 0 IF NOT ERRORLEVEL 1 GOTO PROMPT
echo -
echo -    This TVGA Driver/Utility Disk  is  for the TVGA8900CL/CX and later
echo -    version chips only. Please use another utility disk for your board.
echo -
goto exit

:PROMPT
cls
type %1:\tvgautil\menu
:menu1
%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 GOTO content
IF ERRORLEVEL 97 IF NOT ERRORLEVEL 98 GOTO content
IF ERRORLEVEL 66 IF NOT ERRORLEVEL 67 GOTO utilities
IF ERRORLEVEL 98 IF NOT ERRORLEVEL 99 GOTO utilities
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 GOTO drivers
IF ERRORLEVEL 99 IF NOT ERRORLEVEL 100 GOTO drivers
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO EXIT
goto menu1

:content
cls
type %1:\tvgautil\content\content1.1
PAUSE
cls
type %1:\tvgautil\content\content1.2
pause
cls
type %1:\tvgautil\content\content1.3
pause
cls
type %1:\tvgautil\content\content1.4
pause
cls
type %1:\tvgautil\content\content1.5
pause
cls
type %1:\tvgautil\content\content1.6
pause
GOTO PROMPT

:utilities
cls
echo -
echo -
echo -
echo -      TVGA Utilities List
echo -      ===================
echo -
echo -      A. SVM             -  Set All TVGA Modes
echo -      B. VESA            -  TVGA VESA BIOS Extension
echo -      C. BIC             -  Check System BIOS and VGA BIOS
echo -      D. SMONITOR        -  Select Monitor Type (Color/Mono)
echo -      E. TANSI           -  TVGA ANSI Screen Driver
echo -      F. TVGACRTC        -  CRTC Modification Program
echo -      G. LCDC            -  TVGA LCD Control Program
echo -                            (For Notebook and Laptop Computers Only)
echo -      H. TPATCH          -  TVGA General Purpose Patch Program
echo -
echo -
echo -
echo -    Select one to continue:

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 GOTO svm
IF ERRORLEVEL 97 IF NOT ERRORLEVEL 98 GOTO svm
IF ERRORLEVEL 66 IF NOT ERRORLEVEL 67 GOTO vesa
IF ERRORLEVEL 98 IF NOT ERRORLEVEL 99 GOTO vesa
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 GOTO bic
IF ERRORLEVEL 99 IF NOT ERRORLEVEL 100 GOTO bic
IF ERRORLEVEL 68 IF NOT ERRORLEVEL 69 GOTO smonitor
IF ERRORLEVEL 100 IF NOT ERRORLEVEL 101 GOTO smonitor
IF ERRORLEVEL 69 IF NOT ERRORLEVEL 70 GOTO tansi
IF ERRORLEVEL 101 IF NOT ERRORLEVEL 102 GOTO tansi
IF ERRORLEVEL 70 IF NOT ERRORLEVEL 71 GOTO crtc
IF ERRORLEVEL 102 IF NOT ERRORLEVEL 103 GOTO crtc
IF ERRORLEVEL 71 IF NOT ERRORLEVEL 72 GOTO lcd
IF ERRORLEVEL 103 IF NOT ERRORLEVEL 104 GOTO lcd
IF ERRORLEVEL 72 IF NOT ERRORLEVEL 73 GOTO tpatch
IF ERRORLEVEL 104 IF NOT ERRORLEVEL 105 GOTO tpatch
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO PROMPT
GOTO PROMPT

:drivers
cls
echo -
echo -
echo -    TVGA Display Drivers List
echo -    =========================
echo -
echo -        A.  AutoCAD (AutoDesk)    - Release 9, 10
echo -        B.  AutoCAD/386 Rel 10/11, AutoShade 2.0, 3D Studio
echo -        C.  VersaCAD              - Version 5.4
echo -        D.  Lotus 1-2-3           - Release 2.x
echo -        E.  Symphony              - Release 2.x
echo -        F.  GEM Desktop           - Release 3.xx
echo -        G.  Ventura               - Version 2.x & 3.x
echo -        H.  WordPerfect           - Release 4 and above
echo -        I.  MS Word               - Version 5.0
echo -        J.  MS Windows            - Version 2.xx & 3.x
echo -        K.  Presentation Manager  - Version 2.0
echo -        L.  Quattro Pro           - Version 2.x
echo -
echo -    Select one to continue:

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 GOTO cad286
IF ERRORLEVEL 97 IF NOT ERRORLEVEL 98 GOTO cad286
IF ERRORLEVEL 66 IF NOT ERRORLEVEL 67 GOTO cad386
IF ERRORLEVEL 98 IF NOT ERRORLEVEL 99 GOTO cad386
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 GOTO versaCad
IF ERRORLEVEL 99 IF NOT ERRORLEVEL 100 GOTO versaCad
IF ERRORLEVEL 68 IF NOT ERRORLEVEL 69 GOTO 123
IF ERRORLEVEL 100 IF NOT ERRORLEVEL 101 GOTO 123
IF ERRORLEVEL 69 IF NOT ERRORLEVEL 70 GOTO symph
IF ERRORLEVEL 101 IF NOT ERRORLEVEL 102 GOTO symph
IF ERRORLEVEL 70 IF NOT ERRORLEVEL 71 GOTO gem3
IF ERRORLEVEL 102 IF NOT ERRORLEVEL 103 GOTO gem3
IF ERRORLEVEL 71 IF NOT ERRORLEVEL 72 GOTO vp
IF ERRORLEVEL 103 IF NOT ERRORLEVEL 104 GOTO vp
IF ERRORLEVEL 72 IF NOT ERRORLEVEL 73 GOTO wp
IF ERRORLEVEL 104 IF NOT ERRORLEVEL 105 GOTO wp
IF ERRORLEVEL 73 IF NOT ERRORLEVEL 74 GOTO word
IF ERRORLEVEL 105 IF NOT ERRORLEVEL 106 GOTO word
IF ERRORLEVEL 74 IF NOT ERRORLEVEL 75 GOTO win
IF ERRORLEVEL 106 IF NOT ERRORLEVEL 107 GOTO win
IF ERRORLEVEL 75 IF NOT ERRORLEVEL 76 GOTO pm
IF ERRORLEVEL 107 IF NOT ERRORLEVEL 108 GOTO pm
IF ERRORLEVEL 76 IF NOT ERRORLEVEL 77 GOTO quattro
IF ERRORLEVEL 108 IF NOT ERRORLEVEL 109 GOTO quattro
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO PROMPT
goto PROMPT

:cad286
cls
acadset
goto drivers

:cad386
cls
echo -
echo -
echo - AutoCAD/386 Rel 10/11, AutoShade 2.0, 3D Studio
echo - ===============================================
echo -
echo -  To install the display drivers for AutoCAD/386 you will need
echo -  the TVGA Driver/Utility Disk and AutoCAD/386.
echo -
echo -  1. Copy the display driver from the  %2:\TVGAUTIL\ACAD386
echo -     directory on your hard disk to your AutoCAD/386 directory
echo -     (e.g. C:\ACAD386 ). From drive %2, type:
echo -
echo -          COPY  %2:\TVGAUTIL\ACAD386\RCPTVGA.EXP  C:\ACAD386
echo -
echo -     RCPTVGA.EXP is a combined display interface and rendering
echo -     driver.  All extended resolutions are available(640x480-256,
echo -     800x600-16/256, 1024x768-16/256).
echo -
echo -  2. Enter the following SET command at the DOS prompt, or add
echo -     it to your AUTOEXEC.BAT file:
echo -
echo -          SET DSPADI = RCPTVGA
echo -
pause
echo -
echo -
echo -  3. Start AutoCAD/386. Select Configure AutoCAD from the Main
echo -     Menu.
echo -
echo -  4. Select in order, Configure Video Display and ADIP386
echo -     Display.
echo -
echo -  5. Choose one of the Trident graphics drivers.
echo -
echo -  6. A number of prompts follow which will allow you to select
echo -     the  graphics  area background color, text color (for the
echo -     menu,status line,and command prompt areas of the screen),
echo -     text background color,  border color,  and  dialogue box/
echo -     button outline color. To select the default colors, press
echo -     [Return]  at each prompt. If to select a different color,
echo -     enter the appropriate color number at the given prompt.
echo -
echo -  NOTE:  For 16-color mode, you can only select black or white
echo -         for a graphics background color.
echo -
echo -
pause
echo -
echo -
echo -  The color numbering scheme for 16-color modes (15 colors plus
echo -  black) is:
echo -
echo -  1 - Red                8 - Dark grey
echo -  2 - Yellow             9 - Low intensity red
echo -  3 - Green             10 - Low intensity yellow
echo -  4 - Cyan              11 - Low intensity green
echo -  5 - Blue              12 - Low intensity cyan
echo -  6 - Magenta           13 - Low intensity blue
echo -  7 - White             14 - Low intensity magenta
echo -                        15 - Light grey
echo -
echo -  The color numbering scheme for  256 color modes  matches that
echo -  defined in the AutoCAD/386 Installation and Performance Guide
echo -  for IBM's 8514/AI adapter.  Refer to the  IBM  Video Graphics
echo -  Array Video Option in  the Installation and Performance Guide
echo -  for more detailed information on color select prompts  for 16
echo -  color and 256 color modes.
echo -
echo -
pause
echo -
echo -
echo -
echo -  IMPORTANT: The AutoCAD/386 drivers may also be used with Auto-
echo -  shade 2.0 and 3D Studio.  For Autoshade 2.0 use the following
echo -  set commands in your AUTOEXEC.BAT file:
echo -
echo -          SET DSPADI = RCPTVGA
echo -          SET RDPADI = RCPTVGA
echo -
echo -  For 3D Studio use the following set command in your AUTOEXEC.
echo -  BAT file:
echo -
echo -  SET RCPADI = (location of 3D Studio on hard drive)\RCPTVGA
echo -
echo -  Consult your Autoshade 2.0 and 3D Studio manuals for additional
echo -  information  on  how to configure  these  programs  for  RCPADI
echo -  drivers.
echo -
echo -
echo -
echo -
PAUSE
goto drivers

:versaCad
cls
echo -
echo -
echo -
echo -   TVGA Screen Driver for VersaCAD  Version 5.4
echo -  ==============================================
echo -
echo -
echo -        1 -  VersaCAD/286
echo -
echo -        2 -  VersaCAD/386
echo -
echo -
echo - Enter a number to continue:
echo -

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO vCad286
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO vCad386
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO drivers
GOTO versaCad

:vCad286
cls
echo -
echo -   VersaCAD/286  Version 5.4 Graphics Screen Driver
echo -   ================================================
echo -
echo -   The VersaCAD/286 driver is not contained on this diskette.
echo -   Please contact your dealer if you need this driver.
echo -
echo -
PAUSE
goto drivers

:vCad386
cls
echo -
echo - VersaCAD/386  Version 5.4 Graphics Screen Driver
echo - ================================================
echo - Steps:
echo -
echo -  1. Make sure that your TVGA Driver/Utility Disk is installed to
echo -     your hard disk.
echo -
echo -  2. Copy all files from directory  %2:\TVGAUTIL\VCADP on your hard
echo -     disk to the directory where your VersaCAD/386 is located(e.g.
echo -     C:\VCAD386).
echo -
echo -  3. There are three files:
echo -
echo -          TV16P.EXE    --  16 color Graphics Screen Driver
echo -          TV256P.EXE   --  256 color Graphics Screen Driver
echo -          TVGAP.CFG    --  TVGA drivers' configuration program
echo -
echo -  4. Enter your VersaCAD/386 directory (e.g. C:\VCAD386\).
echo -
echo -  5. Run TV16P.EXE if you want to select TVGA 16 color drivers.
echo -     Run TV256P.EXE if you want to select TVGA 256 color drivers.
echo -
pause
echo -
echo -  6. Quit from the VersaCAD/386 directory to the root directory.
echo -
echo -  7. Start VersaCAD by typing:
echo -        VCAD386    [Enter]
echo -
echo -  8. Press "E" to start VersaCAD's Environment Configuration Program.
echo -     Press "N" to select ENVIRONMENT MENU3.
echo -
echo -  9. Press "S" to select SCREEN CONFIGURATION, then press the SPACE BAR
echo -     or TAB key to select TRIDENT display device.
echo -
echo - 10. Continue with the rest of VersaCADs' Environment Configuration
echo -     Program.
echo -
echo -
PAUSE
goto drivers

:pm
cls
echo -
echo -   TVGA Screen Driver for PM 2.0
echo -   =============================
echo -
echo -   To install  TVGA drivers  for OS/2 Presentation Manager,
echo -   you  will need the TVGA PM(2.0) Driver Optional Disk.
echo -   To obtain this disk,  contact Trident Microsystems  or
echo     your dealer.
echo -
echo -
PAUSE
goto drivers

:123
cls
echo -
echo - Lotus 1-2-3 Release 2.x
echo - =======================
echo - Steps:
echo -
echo -  1. Make sure that your TVGA Driver/Utility Disk is installed to
echo -     your hard disk.
echo -
echo -  2. Copy the drivers into your LOTUS directory by running
echo -     the following command:
echo -
echo -     Command Format:  SET123 Lotus_Directory
echo -     Example:         SET123 c:\lotus
echo -
echo -  3. Change to LOTUS directory.
echo -
echo -  4. Type LOTUS to open the Main Menu.
echo -
echo -  5. Select "INSTALL".
echo -
echo -  6. Select "Advanced options", and select again for
echo -     "Add new driver to library".
echo -
pause
echo -
echo -  7. Choose "Modify current driver set".
echo -
echo -  8. Choose one of the text or graphics display options.
echo -     In graphics display, choose
echo -        TVGA 640x480 for Release 2
echo -
echo -     In text display, choose one of the following drivers:
echo -        TVGA 80x30 Version 1.03
echo -        TVGA 80x43 Version 1.03
echo -        TVGA 80x60 Version 1.03
echo -        TVGA 132x25 Version 1.03
echo -        TVGA 132x30 Version 1.03
echo -        TVGA 132x43 Version 1.03
echo -        TVGA 132x60 Version 1.03
echo -
echo -  9. Save changes to complete installation.
echo -
PAUSE
goto drivers

:symph
cls
echo -
echo - Symphony Release 2.x
echo - ====================
echo - Steps:
echo -
echo -  1. Make sure that your TVGA Driver/Utility Disk is installed to
echo -     your hard disk.
echo -
echo -  2. Copy the drivers into your  Symphony directory by
echo -     running the following command:
echo -
echo -     Command Format:  SETSYMPH Symphony_Directory
echo -     Example:         SETSYMPH c:\symph
echo -
echo -  3. Change to Symphony directory.
echo -
echo -  4. Type "INSTALL" to run Symphony Install Program.
echo -
echo -  5. Select "Advanced Options", and select again for
echo -     "Add New Drivers to Library".
echo -
echo -  6. Choose "Modify Current Driver Set".
echo -
pause
echo -
echo -  7. Choose one of the text or graphics display options.
echo -     In graphics display, choose
echo -        TVGA 640x480 for Release 2
echo -
echo -     In text display, choose one of the following drivers:
echo -        TVGA 80x30 Version 1.03
echo -        TVGA 80x43 Version 1.03
echo -        TVGA 80x60 Version 1.03
echo -        TVGA 132x25 Version 1.03
echo -        TVGA 132x30 Version 1.03
echo -        TVGA 132x43 Version 1.03
echo -        TVGA 132x60 Version 1.03
echo -
echo -  8. Save changes to complete installation.
echo -
PAUSE
goto drivers

:GEM3
cls
echo -
echo - GEM/3 Desktop  Release 3.xx
echo - ===========================
echo - Steps:
echo -
echo -  1. Make sure GEM/3 has already been installed in the hard disk and
echo -     working well. If not,you must first install GEM/3 with a screen
echo -     driver from the original GEM/3 System Diskettes.
echo -
echo -  2. You will be prompted to prepare a GEM/3 driver diskette.  The
echo -     installation program will copy driver files to the newly formatted
echo -     diskette in drive A.
echo -
echo -  3. Insert original GEM/3 System Master Disk, run "GEMSETUP".
echo -
echo -  4. Select "CHANGE EXISTING CONFIGURATION", "CONTINUE","CHANGE YOUR
echo -     CURRENT SETUP" and select the screen display to do the change.
echo -
echo -  5. When you are prompted to choose  the graphics card and display,
echo -     you must choose the "OTHER PACK ......"  and  insert the newly
echo -     created GEM/3 driver disk.
echo -
echo -  6. Select a suitable TVGA display driver.
echo -
echo -  7. Continue with the rest of the "GEMSETUP" program.
echo -
pause
cls
echo -
echo - NOTE:
echo -
echo -  1. For more information about "GEMSETUP", see your GEM/3 manual.
echo -
echo -  2. You must install a screen driver from the original GEM/3 System
echo -     Diskettes before installing a TVGA screen driver.
echo -
echo -
pause
cls
echo.
echo   ******************************************************************
echo   *                                                                *
echo   *    Do you want to prepare a TRIDENT's GEM/3 driver disk ?      *
echo   *                                                                *
echo   *       1. YES         2. NO                                     *
echo   *                                                                *
echo   *    Select a number to continue:         (  ESC to Exit )       *
echo   *                                                                *
echo   ******************************************************************
echo.
:if_gem3
KEYIN
IF ERRORLEVEL  49 IF NOT ERRORLEVEL  50 GOTO p_gem3
IF ERRORLEVEL  89 IF NOT ERRORLEVEL  90 GOTO p_gem3
IF ERRORLEVEL 121 IF NOT ERRORLEVEL 122 GOTO p_gem3
IF ERRORLEVEL  50 IF NOT ERRORLEVEL  51 GOTO drivers
IF ERRORLEVEL  78 IF NOT ERRORLEVEL  79 GOTO drivers
IF ERRORLEVEL 110 IF NOT ERRORLEVEL 111 GOTO drivers
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO drivers
goto if_gem3

:p_gem3
gem.bat
goto exit

:vp
cls
vp
goto exit

:win
cls
echo -
echo -
echo -
echo -   TVGA Screen Driver for MS Windows version 2.xx & 3.x
echo -   ====================================================
echo -
echo -
echo -        1 -  MS Windows/386 Version 2.xx (Optional)
echo -
echo -        2 -  MS Windows Version 3.x
echo -
echo -  NOTE:   Most of the drivers for Windows 3.x in this disk are only
echo -          for TVGA 8900CL/8900CX or later chips.  They won't work
echo -          properly with TVGA8800, TVGA8900B, or TVGA8900C chips.
echo -
echo -   Enter a number to continue:
echo -

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO win2
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO win3
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO drivers
GOTO win

:win2
CLS
echo -
echo - Microsoft Windows/386 version 2.xx
echo - ==================================
echo - Steps:
echo -
echo -  1. Place the MS Windows' SETUP diskette in drive A and type:
echo -         SETUP
echo -
echo -  2. Follow the instructions on the screen.  When you are
echo -     prompted to choose the display adapter, choose the
echo -     option "Other ...".
echo -
echo -  3. Insert TVGA Windows/386(2.xx) Driver Optional Disk in drive A.
echo -
echo -  4. Select a suitable TVGA display driver from A: root directory
echo -
echo -  5. Continue with the rest of the MS Windows' "SETUP" program.
echo -
echo -
echo -  NOTE: For Windows/386 1024x768 16-Color and 768x1024 16-Color
echo -        display drivers, 512KB video memory is required.
echo -
PAUSE
goto drivers

:win3
CLS
echo -
echo - Microsoft Windows Version 3.x
echo - =============================
echo - Steps:
echo -
echo -  1. First, install MS Windows 3.x using the standard IBM VGA driver.
echo -
echo -  2. Make sure Windows 3.x is working properly.
echo -
echo -  3. Enter the Windows 3.x directory (e.g., c:\windows), run SETUP.EXE.
echo -
echo -  4. Follow the instructions on the screen.  When you are prompted
echo -     to choose the display adapter, choose the option "Other ...".
echo -
echo -  5. Insert TVGA Driver/Utility Disk, select a suitable TRIDENT driver
echo -     from A:\WIN
echo -
echo -  6. Follow instructions to finish SETUP.
echo -
echo -  Note:   For network installation or upgrade from our previous
echo -          drivers, please refer to the README.TXT on TVGA Driver/Utility
echo -          Disk in \WIN sub-directory for detail information.
echo -
PAUSE
goto drivers

:word
CLS
echo -
echo - Microsoft Word  version 5.0
echo - ===========================
echo -
echo -  SCREEN.VID in directory  %2:\TVGAUTIL\WORD is the MicroSoft Word 5.0
echo -  driver which supports high resolution text modes for the adapter. The
echo -  text modes supported are: 80x60, 132x25, 132x30, 132x43 and 132x60.
echo -
echo -  NOTE:
echo -    The new modes does not support mouse.
echo -
echo -  Installation:
echo -  -------------
echo -  1. To install the new driver, do the following command (assume your
echo -     MS Word 5.0 is installed at "C:\WORD50" directory) :
echo -
echo -         COPY  %2:\TVGAUTIL\WORD\SCREEN.VID  C:\WORD50
echo -
PAUSE
CLS
echo -  2. To use these new modes, press:
echo -         [ESC]               ; Enter command status
echo -         O                   ; Enter Option command
echo -         move cursor to "display mode"
echo -         [F1]                ; Display all valid modes
echo -         select the mode by moving highlighted bar or
echo -              enter the corresponding number
echo -         [ENTER]
echo -
echo -   NOTE:
echo -      Press [F1] to display the mode list, it displays only the
echo -      number of lines in that mode without the number of columns.
echo -      The mode list looks like:
echo -              1. Text, 25 lines, 16 color
echo -              2. Text, 43 lines, 16 color
echo -              3. Text, 50 lines, 16 color
echo -              4. Text, 60 lines, 16 color
echo -              5. Text, 25 lines, 16 color
echo -              6. Text, 30 lines, 16 color
echo -              7. Text, 43 lines, 16 color
echo -              8. Text, 60 lines, 16 color
echo -       where 5 - 8 are 132 column modes.
echo -
PAUSE
goto drivers

:wp
cls
echo -
echo -
echo -
echo -   TVGA Screen Driver for WordPerfect
echo -
echo -        1 -  WordPerfect 4.x in Extended Text Mode
echo -
echo -        2 -  WordPerfect 5.0 in Extended Text Mode
echo -
echo -        3 -  WordPerfect 5.1 in Extended Text Mode
echo -
echo -        4 -  WordPerfect 5.0 in High Resolution Graphics Mode
echo -
echo -        5 -  WordPerfect 5.1 in High Resolution Graphics Mode
echo -
echo -
echo - Enter a number to continue:
echo -

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO WP40
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO WP50T
IF ERRORLEVEL 51 IF NOT ERRORLEVEL 52 GOTO WP51T
IF ERRORLEVEL 52 IF NOT ERRORLEVEL 53 GOTO WP50G
IF ERRORLEVEL 53 IF NOT ERRORLEVEL 54 GOTO WP51G
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO drivers
goto wp

:WP40
cls
echo -
echo - WordPerfect 4.x in Extended Text  Mode
echo - ======================================
echo - Steps:
echo -
echo -  1. Enter the WordPerfect sub-directory, type:  cd \wp.
echo -
echo -  2. Type WP/S to enter the WordPerfect SETUP program.
echo -
echo -  3. Select option 3, "Set Screen and Beep options."
echo -
echo -  4. Enter the Column and Row number according to your
echo -     selection from SVM.
echo -
echo -  5. Choose option 0 to accept the new configuration and
echo -     exit WordPerfect.
echo -
echo -  6. Use SVM to select an extended text mode. Start WordPerfect.
echo -
PAUSE
goto drivers

:WP50T
cls
echo -
echo - WordPerfect 5.0 in Extended Text Mode
echo - =====================================
echo - Steps:
echo -
echo -  1. Run the SVM.EXE program to select the extended text mode you want
echo -     to use (e.g., 132 or 80 columns by 25, 30, 43, or 60 rows).
echo -
echo -  2. To implement an 80 column mode, simply enter WordPerfect from the
echo -     directory containing the WordPerfect program (ie. c:\wp). Type:
echo -        WP          [Enter]
echo -
echo -  3. To implement a 132 column mode, you may use the WordPerfect program
echo -     to either adjust the paper size or changing the font size.
echo -     Instructions for each of these procedures follows:
echo -
pause
cls
echo -
echo -  Adjusting Paper Size:
echo -  ---------------------
echo -  a. Enter the WordPerfect program by typing:
echo -        WP          [Enter]
echo -
echo -  b. Press SHIFT-F1 to bring up the SETUP menu. Press "5" to select
echo -     Initial Settings and then "4" to select Initial Code.
echo -
echo -  c. Press SHIFT-F8 to bring up the FORMAT menu. Press "2" to select
echo -     Page Format and then "8" to select Paper Size.
echo -
echo -  d. Configure the paper size to 14x11 inches and select standard paper
echo -     type.
echo -
echo -  e. Return to the Word Processing mode. Once you have adjusted the page
echo -     size, you need not repeat this procedure unless you want to change
echo -     to a different display mode.
echo -
pause
cls
echo -
echo -  Changing Font Size:
echo -  -------------------
echo -  a. Enter the WordPerfect program by typing:
echo -        WP          [Enter]
echo -
echo -  b. Press SHIFT-F8 to select the Format Menu.
echo -
echo -  c. Press "3" to select to Document Format Menu.
echo -
echo -  d. Select Option 3 "Initial Font" from the Document Format Menu.
echo -
echo -  e. Choose a font of 16.5 pitch or greater from those available
echo -     (available fonts depend on the printer you have selected).
echo -
echo -  f. Return to the Word Processing mode. The Initial Font selection
echo -     you have made will be saved with your document.
echo -
pause
cls
echo -
echo - Note:
echo - * Upon exiting WP, please select the 80x25 VGA display mode,
echo -   type:     SVM VGA
echo -
echo - * For convenience, you may put the following commands in batch files:
echo -            SVM  132xnn ( or   SVM  80xnn )
echo -            WP
echo -            SVM  VGA
echo -
PAUSE
goto drivers

:WP51T
cls
echo -
echo - WordPerfect 5.1 Text Mode
echo - =========================
echo - Steps:
echo -
echo -  1. Make sure that your TVGA Driver/Utility Disk is installed to
echo -     your hard disk.
echo -
echo -  2. Copy driver files .\WP51\TVGATEXT.VRS to the WordPerfect directory.
echo -     For example, your WP 5.1 directory is "C:\WP51".
echo -
echo -            COPY  %2:\TVGAUTIL\WP51\TVGATEXT.VRS  C:\WP51
echo -
echo -  3. Enter WordPerfect from the directory containing the WordPerfect
echo -     program (ie. C:\WP51). Type:
echo -
echo -            WP
echo -
echo -  4. Press the SETUP key (Shift-F1), choose Display, select Text
echo -     Screen Type, and choose the appropriate driver.
echo -
PAUSE
goto drivers

:WP50G
cls
echo -
echo -   WordPerfect 5.0 in High Resolution Graphics Mode
echo -   ================================================
echo -
echo -   The WordPerfect 5.0 graphics driver is not on this disk.
echo -   Please contact your dealer if you need this driver.
echo -
echo -
PAUSE
goto drivers

:WP51G
cls
echo -
echo - WordPerfect 5.1 in High Resolution Graphics Mode
echo - ================================================
echo - Steps:
echo -
echo -  1. Make sure that your TVGA Driver/Utility Disk is installed to
echo -     your hard disk.
echo -
echo -  2. Copy driver files .\WP51\TVGA16.VRS to the WordPerfect directory.
echo -     For example, your WP 5.1 directory is "C:\WP51".
echo -
echo -            COPY  %2:\TVGAUTIL\WP51\TVGA16.VRS  C:\WP51
echo -
echo -  3. Enter WordPerfect from the directory containing the WordPerfect
echo -     program (ie. C:\WP51). Type:
echo -
echo -            WP
echo -
echo -  4. Press the SETUP key (Shift-F1), choose Display, select Graphics
echo -     Screen Type, and choose the appropriate driver.
echo -
PAUSE
goto drivers

:ws
cls
echo -
echo - WordStar in 132-column mode
echo - ===========================
echo -
echo -        1 -  WordStar Release 3.30
echo -
echo -        2 -  WordStar Release 4 or 5
echo -
echo -
echo - Enter a number to continue:
echo -

%1:
cd \tvgautil
KEYIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO ws33
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO ws40
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO drivers
goto ws

:ws33
cls
echo -
echo -   WordStar Release 3.30
echo -   =====================
echo -
echo -   The WordStar 3.30 driver is not on this disk.
echo -   Please contact your dealer if you need this driver.
echo -
echo -
pause
goto ws

:ws40
echo -
echo -  WordStar Release 4 or 5
echo -  =======================
echo -  1. Start WordStar's installation program by typing WSCHANGE.
echo -
echo -  2. Enter WS.EXE as the filename of your WS program file.
echo -     Enter WS132.EXE as the filename for new changes.
echo -
echo -  3. Choose option A for "Console options" and for "Monitor options".
echo -
echo -  4. Choose option C for "Screen Sizing".
echo -
echo -  5. Choose option A for "Height" and enter the value for
echo -     either 25, 30, 43 or 60 lines.
echo -
echo -  6. Choose option B for "Width" and enter the value for 80 or 132
echo -     columns.
echo -
echo -  7. Return to Main Menu by typing a series of X's.
echo -
echo -  8. Use SVM to select the screen format, type: SVM 132xnn or SVM
echo -     80xnn.
echo -
pause

:wsnote
echo -
echo - Note:
echo - * Upon exiting WS, please set display to 80x25 VGA display
echo -   mode by entering:  SVM VGA
echo -
echo - * For convenience, you may put the following comands in a batch file:
echo -            SVM  132xnn ( or   SVM  80xnn )
echo -            WS132
echo -            SVM  VGA
echo -
PAUSE
goto drivers

:quattro
cls
echo -
echo -
echo -  Quattro Pro 2.x
echo -  ===============
echo -
echo -  1. Make sure that your TVGA Driver/Utility Disk is installed to
echo -     your hard disk.
echo -
echo -  2. Copy the new display drivers from  %2:\TVGAUTIL\QPRO  to  the
echo -     directory on your hard drive where you have installed Quattro Pro.
echo -
echo -     To copy the files to your \QPRO directory on your hard disk drive,
echo -     just type:
echo -
echo -          COPY  %2:\TVGAUTIL\QPRO\VIDEO.RSC  C:\QPRO
echo -
echo -  3. Enter the Quattro Pro program by typing: Q
echo -
echo -  4. Press "/O" to select the Options menu  and  "D" to select Display
echo -     Mode.
echo -
PAUSE
goto drivers

:ram_bios
ECHO EXECUTE PROG D
cls
echo -
echo - TVGA RAM BIOS
echo - =============
echo -   TVGA-RAM-BIOS allows you to keep the TVGA BIOS in the
echo -   system's active memory for faster display response.
echo -
echo -   Installation Procedures:
echo -   ------------------------
echo -
echo -  * Install TVGA RAM BIOS in CONFIG.SYS file
echo -
echo -      1. Make sure that your TVGA Driver/Utility Disk is installed to
echo -         your hard disk and type:
echo -
echo -           COPY %2:\TVGAUTIL\UTILITY\TVGABIO.SYS  C:\
echo -
echo -      2. Add the line "DEVICE=TVGABIO.SYS" to your
echo -         CONFIG.SYS file.
echo -
echo -      3. Reboot the system.
pause
echo -
echo -  * Install TVGA RAM BIOS in AUTOEXEC.BAT file
echo -
echo -      1. Make sure that your TVGA Driver/Utility Disk is installed to
echo -         your hard disk and type:
echo -
echo -           COPY %2:\TVGAUTIL\UTILITY\TVGABIO.EXE  C:\
echo -
echo -      2. Add the line "TVGABIO" to your AUTOEXEC.BAT file.
echo -
echo -      3. Reboot the system.
echo -
PAUSE
GOTO utilities

:tansi
ECHO EXECUTE PROG E
cls
echo -
echo - TANSI.SYS
echo - =========
echo -   TANSI.SYS provides an enhanced ANSI screen driver for
echo -   standard output displays.  The driver allows more than
echo -   80 columns and 25 rows of text to be displayed on screen.
echo -
echo -   TANSI.SYS Installation
echo -   -----------------------
echo -      1. Make sure that your TVGA Driver/Utility Disk is installed
echo -         to your hard disk and type:
echo -
echo -           COPY %2:\TVGAUTIL\UTILITY\TANSI.SYS  C:\
echo -
echo -      2. Enter your CONFIG.SYS file and replace the line
echo -         DEVICE=ANSI.SYS with DEVICE=TANSI.SYS
echo -
echo -      3. Reboot the system.
echo -
PAUSE
GOTO utilities

:vesa
cls
echo -
echo -
echo -                VESA BIOS EXTENSION
echo -                ===================
echo -
echo -    1.  Make sure that your TVGA Driver/Utility Disk is installed to
echo -        your hard disk and type:
echo -
echo -          COPY  %2:\TVGAUTIL\UTILITY\VESA.EXE  C:\
echo -
echo -    2.  To run the BIOS Extension  just type  VESA.EXE  from the root
echo -        directory on your hard drive. The program will stay resident
echo -        until you reboot the system.
echo -
echo -    3.  You may now configure your VESA supported application  (e.g.
echo -        Generic CAD5.0,  Generic CAD Level III,  Cadkey 4.0,  Deluxe
echo -        Paint II Enhanced, etc.) for a VESA driver.
echo -
echo -
PAUSE
GOTO utilities

:svm
cls
echo -
echo -
echo -                  SET VIDEO MODE (SVM)
echo -                  ====================
echo -
echo -   SVM is designed to help the user select the correct video
echo -   adaptor mode and display mode for special applications or
echo -   game programs which cannot run in standard VGA modes (ie.
echo -   EGA, CGA, Hercules, and 80 / 132 column modes).
echo -
echo -
echo -
PAUSE
GOTO utilities

:crtc
cls
echo -
echo -
echo -                 CRTC Modification Program
echo -                 =========================
echo -
echo -    This program  is  designed to adjust CRTC parameters so that the
echo -    image  displayed  will be  optimally sized  and  centered on the
echo -    screen.
echo -
echo -    Adjustable  parameters  include  horizontal position  and  size,
echo -    vertical position  and  size ( the  vertical size  can  only  be
echo -    adjusted  very  little  because  most monitors  control vertical
echo -    size ),  and pixel frequency.
echo -
echo -    Before  you use this program,  please  use  MODETEST  to  verify
echo -    your monitor  can  display a given mode. If your monitor display
echo -    is  adequately sized  and  centered  with  the default BIOS CRTC
echo -    parameters then you need not use this program.
echo -
echo -    A  list  of  monitors  with  preprogrammed  CRTC  parameters  is
echo -    provided. If your monitor is not listed, you will need to create
echo -    your own listing.
echo -
pause
echo -
echo -
echo -
echo -
echo -    The Usage of CRTC Modification Program:
echo -    ---------------------------------------
echo -
echo -    1.  Create a directory entitled  \CRTC  on  your hard disk drive.
echo -        Type the following from the root directory DOS prompt(e.g., C:\)
echo -
echo -          MD CRTC
echo -
echo -    2.  Copy  relative files  from  the directory  .\UTILITY on you
echo -        hard disk to your newly created directory.  At the current
echo -        directory, type:
echo -
echo -          COPY  %2:\TVGAUTIL\UTILITY\TVGACRTC.*  C:\CRTC
echo -
echo -    3.  To run the utility just type TVGACRTC.EXE from the newly created
echo -        directory C:\CRTC on your hard drive.
echo -
echo -
echo -
pause
GOTO utilities

:smonitor
cls
%1:\tvgautil\utility\smonitor
GOTO utilities

:lcd
cls
%1:\tvgautil\utility\lcdc
GOTO utilities

:tpatch
cls
%1:
cd \tvgautil\utility
tpatch
cd ..
GOTO utilities

:bic
cls
echo -
echo -   BIC Utility
echo -   ===========
echo -
echo -   BIC is used to determine the system BIOS date and TVGA BIOS
echo -   BIOS date & version.  If your system is  an early-model PC,
echo -   PC/XT, and the ROM BIOS shows a date earlier than 10/27/82,
echo -   you  will need to replace your system ROM BIOS to work with
echo -   Trident VGA Graphics Adapter.
echo -
echo -
echo -
PAUSE
GOTO utilities

:EXIT


